Version File Reference
`#include <osgShadow/Export>`

Go to the source code of this file.

## Macros

#define | OSGSHADOW_VERSION 1

## Functions

OSGSHADOW_EXPORT const char * | osgShadowGetVersion ()
OSGSHADOW_EXPORT const char * | osgShadowGetLibraryName ()

## Macro Definition Documentation

## OSGSHADOW_VERSION

#define OSGSHADOW_VERSION 1

## Function Documentation

## osgShadowGetLibraryName()

OSGSHADOW_EXPORT const char * osgShadowGetLibraryName | ( |  | ) |

extern

osgShadowGetLibraryName() returns the library name in human friendly form.

References OSGSHADOW_EXPORT.

## osgShadowGetVersion()

OSGSHADOW_EXPORT const char * osgShadowGetVersion | ( |  | ) |

extern

osgShadowGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgShadowGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Shadow library
    #
    AC_CHECK_LIB(osg, osgShadowGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Shadow library not found. See http://www.openscenegraph.org)],)

References OSGSHADOW_EXPORT.